<?php
/**
* custom-css.php
*
* @author    Denis Franchi
* @package   Willer
*/



function willer_customizer__general_css() {  
    

//Custom Color 
get_template_part( 'inc/skin/skin-color',esc_attr(get_theme_mod('willer_color_skin','one')));?> 


<!-- Section -->
<style>

/* Background Color Site */

html,body, #willer-loader-wrapper .loader-section {
     background-color: <?php echo esc_attr(get_theme_mod('willer_background_color_body','#000'));?>;
 }

/* Section Services */
.willer-services{
    margin-top:<?php echo esc_attr(get_theme_mod('willer_margin_top_services',3))?>em;
    margin-bottom:<?php echo esc_attr(get_theme_mod('willer_margin_bottom_services',0))?>em;
}

.our-willer-services-img img{
    width:<?php echo esc_attr(get_theme_mod('willer_size_image_services',80))?>px;
}

/* Section Gallery */
.gallery-willer{
    margin-top:<?php echo esc_attr(get_theme_mod('willer_margin_top_gallery',0))?>em;
    margin-bottom:<?php echo esc_attr(get_theme_mod('willer_margin_bottom_gallery',0))?>em;
}

/* Section Testimonials */
#willer-text-carousel{
    margin-top:<?php echo esc_attr(get_theme_mod('willer_margin_top_testimonial',0))?>em;
    margin-bottom:<?php echo esc_attr(get_theme_mod('willer_margin_bottom_testimonial',0))?>em;
}

/* Section About */
<?php if ( false == esc_attr( get_theme_mod( 'willer_enable_effect_image_about', false) )) : ?>
.effect-img-willer-about img{
    -webkit-box-shadow: -5px 5px 10px 0px <?php echo esc_attr(get_theme_mod('willer_color_effect_img_about','#f8f9fa'))?>;
    -moz-box-shadow: -5px 5px 10px 0px <?php echo esc_attr(get_theme_mod('willer_color_effect_img_about','#f8f9fa'))?>;
    box-shadow:-5px 5px 10px 0px <?php echo esc_attr(get_theme_mod('willer_color_effect_img_about','#f8f9fa'))?>;
}
<?php endif;?>

.willer-about{
    margin-top:<?php echo esc_attr(get_theme_mod('willer_margin_top_about',4))?>em;
    margin-bottom:<?php echo esc_attr(get_theme_mod('willer_margin_bottom_about',8))?>em;
}


/* Section Portfolio */
<?php if ( false == esc_attr( get_theme_mod( 'willer_enable_effect_image_portfolio', false) )) : ?>
.effect-img-willer-portfolio img{
    -webkit-box-shadow: 5px 5px 10px 0px <?php echo esc_attr(get_theme_mod('willer_color_effect_img_portfolio','#f8f9fa'))?>;
    -moz-box-shadow: 5px 5px 10px 0px <?php echo esc_attr(get_theme_mod('willer_color_effect_img_portfolio','#f8f9fa'))?>;
    box-shadow:5px 5px 10px 0px <?php echo esc_attr(get_theme_mod('willer_color_effect_img_portfolio','#f8f9fa'))?>;
}
<?php endif;?>

.willer-portfolio{
    margin-top:<?php echo esc_attr(get_theme_mod('willer_margin_top_portfolio',0))?>em;
    margin-bottom:<?php echo esc_attr(get_theme_mod('willer_margin_bottom_portfolio',8))?>em;
}

/* Section Team */
.willer-team{
    margin-top:<?php echo esc_attr(get_theme_mod('willer_margin_top_team',12))?>em;
    margin-bottom:<?php echo esc_attr(get_theme_mod('willer_margin_bottom_team',0))?>em;
}

/* Section Blog */
<?php if ( false == esc_attr( get_theme_mod( 'willer_enable_effect_image_portfolio', false) )) : ?>
.willer-card{
    -webkit-box-shadow: 5px 5px 10px 0px <?php echo esc_attr(get_theme_mod('willer_color_effect_img_blog','#f8f9fa'))?>;
    -moz-box-shadow: 5px 5px 10px 0px <?php echo esc_attr(get_theme_mod('willer_color_effect_img_blog','#f8f9fa'))?>;
    box-shadow:5px 5px 10px 0px <?php echo esc_attr(get_theme_mod('willer_color_effect_img_blog','#f8f9fa'))?>;
}
<?php endif;?>

<?php if ( true == esc_attr( get_theme_mod( 'willer_enable_time_section_blog', false) )) : ?>
.willer-blog p.card-text{
    display:none; 
}
<?php endif;?>

.willer-blog{
    margin-top:<?php echo esc_attr(get_theme_mod('willer_margin_top_blog',8))?>em;
    margin-bottom:<?php echo esc_attr(get_theme_mod('willer_margin_bottom_blog',8))?>em;
}

/* Section Parallax */
.willer-img-parallax{
    height:<?php echo esc_attr(get_theme_mod('willer_height_image_parallax',450))?>px;
}

.willerparallaxn{
    margin-top:<?php echo esc_attr(get_theme_mod('willer_margin_top_parallax',0))?>em;
    margin-bottom:<?php echo esc_attr(get_theme_mod('willer_margin_bottom_parallax',0))?>em;
}

/* Section Slider */
.carousel-inner > .item,.carousel-inner > .item img{
    height: <?php echo esc_attr(get_theme_mod('willer_height_slider',600))?>px!important; 
 }

.carousel-inner > .item img{
    object-fit: cover;
    width:100%;
}

.carousel-caption.willer_caption{
    top:<?php echo esc_attr(get_theme_mod('willer_text_padding_slider',9))?>em!important; 
}

.carousel-caption.willer_caption h1{
    font-size:<?php echo esc_attr(get_theme_mod('willer_text_font_size_title_slider',25))?>px; 
}

.carousel-caption.willer_caption p{
    font-size:<?php echo esc_attr(get_theme_mod('willer_text_font_size_subtitle_slider',16))?>px; 
}

.carousel-caption.willer_caption h1,.carousel-caption.willer_caption p{
    color: <?php echo esc_attr(get_theme_mod('willer_color_text_slider','#fff'))?>!important; 
}

.willer-section-slider{
    margin-top:<?php echo esc_attr(get_theme_mod('willer_margin_top_slider',0))?>em;
    margin-bottom:<?php echo esc_attr(get_theme_mod('willer_margin_bottom_slider',0))?>em;
}

</style>

<!-- General Setting -->
<style>

/* Lin continue reading */
.link-more a.more-link{
    font-size:12px;
}

/*Title Home*/
.willer-services h2,.willer-about h2,.willer-portfolio h2,.willer-team h2,h2.title-willer-blog,.willer-text-parallax h2{
    font-size:<?php echo esc_attr(get_theme_mod('willer_font_size_title_section',34))?>px!important;
}
.willer-services h2,.willer-about h2,.willer-portfolio h2,.willer-team h2,h2.title-willer-blog,.willer-text-parallax h2{
    color:<?php echo esc_attr(get_theme_mod('willer_color_title_section','#fff'))?>!important;
}

/*Title Header Static/Video*/
.willer-text-header-static h1.willer-title-static-header{
    font-size:<?php echo esc_attr(get_theme_mod('willer_font_size_title_header_static',44))?>px!important;
}

.willer-p-static-header p{
    font-size:<?php echo esc_attr(get_theme_mod('willer_font_size_subtitle_header_static',16))?>px!important;
}
.willer-text-header-static h1.willer-title-static-header,.willer-p-static-header p{
    color:<?php echo esc_attr(get_theme_mod('willer_color_title_header_static','#fff'))?>!important;
}

/* Post */
<?php if ( true == esc_attr( get_theme_mod( 'willer_enable_mata_header_post', false) )) : ?>
.willer-blog-sidebar-right .entry-meta{
    display:none;
}
<?php endif;?>

<?php if ( true == esc_attr( get_theme_mod( 'willer_enable_mata_footer_post', false) )) : ?>
.willer-blog-sidebar-right .willer-entry-footer{
    display:none;
}
<?php endif;?>

<?php if ( true == esc_attr( get_theme_mod( 'willer_enable_effect_title_post', false) )) : ?>
.willer-divide-title-post{
    display:none;
}
<?php endif;?>

/* Navbar menu */
.navbar.navbar-expand-md.willer-menu,.navbar.navbar-expand-md.willer-menu ul.dropdown-menu.show,.willer-container-fluid-navbar.fixed,
#willer-menu-right-in{
    background-color:<?php echo esc_attr(get_theme_mod('willer_background_color_navbarmenu','#000'))?>;
}

@media(max-width:768px){
#willer-menu-header ul,.willer-menu,.willer-position-menu{
    background-color: <?php echo esc_attr(get_theme_mod('willer_background_color_navbarmenu','#000'))?>;
}
}

.navbar.navbar-expand-md.willer-menu a,.navbar.navbar-expand-md.willer-menu ul.dropdown-menu.show a,.willer-container-fluid-navbar.fixed a,i.willer-menu-rotate,
#willer-menu-mobile i,.willer-about-menu-right h4,.willer-about-menu-right p, .willer-about-menu-right a,.willer-about-menu-right h5,.willer-description-logo p,
.willer-toggler i{
    color:<?php echo esc_attr(get_theme_mod('willer_color_navbarmenu','#ccc'))?>;
}

.navbar-expand-md .navbar-nav .active>.nav-link{
    color:<?php echo esc_attr(get_theme_mod('willer_color_navbarmenu_active','#fff'))?>;
}

.willer-divide-menu{
    background-color:<?php echo esc_attr(get_theme_mod('willer_color_navbarmenu_active','#fff'))?>;
}

<?php if ( true == esc_attr( get_theme_mod( 'willer_enable_underscore_menu', false) )) : ?>
.willer-divide-menu{
    display:none;
}
<?php endif;?>

#willer-menu-header ul.navbar-nav a{
    font-size:<?php echo esc_attr(get_theme_mod('willer_font_size_menu',14))?>px;
    padding-left:<?php echo esc_attr(get_theme_mod('willer_padding_menu',10))?>px!important;
}

/* Site description */
.willer-description-logo a{
    font-size: <?php echo esc_attr(get_theme_mod('willer_font_size_title_site',22))?>px;
}

.willer-description-logo p{
    font-size: <?php echo esc_attr(get_theme_mod('willer_font_size_subtitle_site',12))?>px;
}

/* Footer */
.willer-copyright{
    background-color: <?php echo esc_attr(get_theme_mod('willer_background_color_copyright_footer','#000'))?>;
}

.willer-link-copyright a,.willer-text-copyright p{
   color: <?php echo esc_attr(get_theme_mod('willer_color_copyright_footer','#fff'))?>;
}

.willer-logo-footer img{
    width: <?php echo esc_attr(get_theme_mod('willer_logo_footer',70))?>px;
}

<?php if ( true == esc_attr( get_theme_mod( 'wl_enable_icons_scrol_footer', true) )) : ?>

i.bounce-icons-footer-scroll{
    display:none;
}

<?php endif;?>

/* Header Image Static */

<?php if ( false == esc_attr( get_theme_mod( 'wl_enable_object_fit_imahe_header', true) )) : ?>
    
@media (max-width: 699px){
.wp-custom-header img {
    object-fit: cover;
}
}

<?php endif;?> 

/* Back To Top */

#backtop {
    background-color: <?php echo esc_attr(get_theme_mod('willer_background_color_backtotop','#212020'))?>; 
    color: <?php echo esc_attr(get_theme_mod('willer_color_backtotop','#fff'))?>; 
}

#backtop:hover {
    background-color:<?php echo esc_attr(get_theme_mod('willer_color_backtotop','#fff'))?>;
    color: <?php echo esc_attr(get_theme_mod('willer_background_color_backtotop','#212020'))?>; 
}

#backtop i:hover{
    color:<?php echo esc_attr(get_theme_mod('willer_background_color_backtotop','#212020'))?>; 
}


</style>

<?php // And Customizer CSS
}
add_action( 'wp_head', 'willer_customizer__general_css' );